<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;


$id = isset($_GET['id']) ? abs((int)$_GET['id']) : false;
$array = DB::$dbs->query("SELECT * FROM forum_prazdel WHERE id = ? LIMIT 1", [$id]);
if ($array -> rowCount() == 0) {
header('location: /');
die();
}
$arr = $array -> fetch();
$raz = DB::$dbs->queryFetch("SELECT * FROM forum_razdel WHERE id = ? LIMIT 1", [$arr['rid']]);
$title->SetTitle('Форум - '.$arr['name']);

///Подключаем шапку
$title->GetHeader();
echo '<div class="container-fluid page_header">
		<div class="container"><div class="row">
			<div class="col-xs-12 col-sm-8 col-md-9 col-lg-9">
					<h1>Форум - '.$arr['name'].' </h1>
					<ol class="breadcrumb" xmlns:v="http://'.homeurl.'/#">
					<li typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">'.homeurl.'</a></li>
					<li typeof="v:Breadcrumb"><a href="/forum" rel="v:url" property="v:title">Форум</a></li>
					<li typeof="v:Breadcrumb"><a href="viewrazd.php?id='.$raz['id'].'" rel="v:url" property="v:title">'.$raz['name'].'</a></li>
					<li class="active" typeof="v:Breadcrumb"><span property="v:title">'.$arr['name'].'</span></li>
					</ol>
			</div>
				
			
				</div>
		</div>
	</div>';
echo'<div class="container page_body">
		<div class="row">
			<div class="col-xs-12 page_content col-lg-9">
				<div class="navbar page_content_navbar collapse hidden-lg">
					<div class="container-fluid"><div class="navbar-collapse">
					</div>
				</div>
			</div>
				<div class="text_box hidden-lg pr_block_small hidden">
				</div>
				<div class="container-fluid cols_table">';

echo '<div class="catSides"><i class="md-format-list-bulleted"></i> Подраздел - '.$arr['name'].'</div>';
if (isset($b)) {
echo '<ul class="nav nav-pills nav-stacked"><li><a href="addtopic.php?id='.$id.'"><i class="md-apps"></i> Начать новую тему</a></ul>';
}

$look = DB::$dbs->querySingle("SELECT COUNT(id) FROM forum_topic WHERE prid = ?", [$id]);
$num = 10;
$k_page = k_page($look, $num);
$page = page($k_page);
$start = $num*$page-$num;
$sql = DB::$dbs->query("SELECT * FROM forum_topic WHERE prid = ? ORDER BY last DESC LIMIT $start,$num", [$id]);
if ($sql -> rowCount() == 0) {
err('Тем ещё нет!');
} else {
while($a = $sql->fetch()) {
if ($a['type'] != 'closed') {
$imt = '<img src="'.$fl.'" alt="" />';
} elseif ($a['type'] == 'closed') {
$imt = '<img src="'.$zakr.'" alt="" />';
} elseif ($a['fasten'] == 1) {
$imt = '<img src="'.$prik.'" alt="" />';
}
$us_mess = DB::$dbs->queryFetch("SELECT user_id,tid FROM forum_mess WHERE tid = ? ORDER BY time DESC LIMIT $start,$num", [$a['id']]);
$k_mess = DB::$dbs->querySingle("SELECT COUNT(id) FROM forum_mess WHERE tid = ?", array($a['id']));
if ($k_mess > 10) {
$pg = ceil($k_mess / 10);
$st = ' <a href="/forum/thema'.$a['id'].'?page='.$pg.'">>></a>';
} else {
$st = '';
}
echo '<div class="row">
		<div class="col-xs-3 col-sm-1">
			<div class="user_brief">
			<a href="/forum/thema'.$a['id'].'"><i class="md-forum"></i> '.$imt.' '.$a['name'].' ('.$k_mess.') '.nick($us_mess['user_id']).' '.$st.'</a>
			</div>
		</div>
	</div>';
}
}
if ($k_page>1) {
str('?id='.$id.'&', $k_page, $page);
}
echo'<div class="catSides"><i class="md-format-list-bulleted"></i> <a href="/rules">Правила</a> | <a href="/bbcodes"> Справка BBcode</a> | <a href="/smiles">Все смайлы</a> | <a href="search">Поиск</a> | <a href="wholly_new">Найти новые</a></div>'; 


///Подключаем меню
$title->GetMenu();


///Подключаем футер
$title->GetFooter();
?>